Look What I Did!

Signed-In Members Don't See This Ad

penicillin

Member
Joined
Feb 27, 2019
Messages
279
Words are great, but now is the time to step up. You don't need me to tell you the value of this website. I am a short-timer, and I have received priceless advice from many members here. It doesn't take a genius to figure out that this migration will cost a lot of money, and our help is needed.

I made a donation to Penturners.org.
-> Now it is your turn.


-> Click on the yellow PayPal Donate icon at the top of this page.

-> Make your donation. Be generous.

-> Post a note here to encourage others.
 
Signed-In Members Don't See This Ad

TonyL

Member
Joined
Mar 9, 2014
Messages
6,926
Location
Alpharetta, GA 30004
When using the hyperlink/icon above, I get this:
How do I check and update my web browser?




Your browser does not meet new security standards for websites (like PayPal) that hold payment data, you’ll need to update it to continue accessing paypal.com after June 26th.

Check your desktop browser to see if it’s up-to-date
Click here to test your browser.
  • If you see a message that says: “PayPal_Connection_OK” your browser is up-to-date and no further action is needed.
  • If you have an outdated browser you’ll see this message: “ERROR! Connection is using TLS version lesser than 1.2. Please use TLS1.2”.
 
Top Bottom